---
- hosts: jumphost
  vars:
    property_file: idf.yml
    base_dir: "{{ inventory_dir }}/.."
  any_errors_fatal: true
  roles:
    - orange.infra.include_vars
    - orange.os_infra_manager.external_requirements
  tags:
    - os_infra_manager_cloud

- hosts: jumphost
  vars:
    ansible_python_interpreter:
      "{{ (ansible_connection == 'local') | ternary('auto', pyvenv) }}"
  pre_tasks:
    - name: get pyvenv path in virtualenv
      ansible.builtin.setup:
        gather_subset:
          - min
      vars:
        ansible_python_interpreter: auto
  roles:
    - orange.os_infra_manager.cloud
  tags:
    - os_infra_manager_cloud
